Detailed report with stats

API at a glance

Description: This API returns the detailed report of a specific campaign, including its performance statistics for a given date range.

GET /api/v1/campaigns/{campaign_uuid}/detail.json

Authentication & testing

Testing the API on this page

How to try it here

  • Use your User API Key as the Username (leave Password blank).
  • Select the appropriate API endpoint based on your Blueshift region.
  • API - Select Region
  • Enter the necessary parameters and click Try It to run the request.
Authentication using Base64 encoding

Note for developers

API requests require authentication using HTTP Basic Authentication with an API key. The API key serves as the username, while the password field should be left empty. The format to encode is: your_api_key: (note the trailing colon).

This string must be Base64-encoded and included in the request's Authorization header as follows:

Authorization: Basic encoded_value

You can generate the encoded value using a trusted Base64 encoder.


Postman collection

Try it with Postman: Explore the API using Blueshift's Postman collection.


Things to know before you start

  • Campaign UUID: You can copy the UUID from the URL of the campaign on the Blueshift app. For example, if you open a campaign in the Blueshift app, its URL looks like https://app.getblueshift.com/dashboard#/app/campaigns/<CAMPAIGN_UUID>/details.
  • Required parameters: campaign_uuid (path), start_time, and end_time (query) are all required.
  • Date format: Timestamps must be in ISO 8601 format (e.g., 2023-07-05T07:05:38.000Z).
  • Use case: Best for retrieving detailed information and performance metrics for a specific campaign within a date range.
👍

Finding the campaign UUID

The campaign UUID is visible in the browser's address bar when you open a campaign. For example: https://app.getblueshift.com/dashboard#/app/campaigns/<CAMPAIGN_UUID>/edit_v3/journey

Request parameters

Check out the request parameters

Path parameters

ParameterTypeRequiredDescription
campaign_uuidstring✅ YesSpecify the UUID of the campaign for which you want a detailed report. You can copy the UUID from the URL of the campaign on dashboard.

Query parameters

ParameterTypeRequiredDescription
start_timestring (ISO 8601)✅ YesSpecify a timestamp in the ISO 8601 format to filter the report of the campaign after it.
end_timestring (ISO 8601)✅ YesSpecify a timestamp in the ISO 8601 format to filter the report of the campaign upto it.

Example requests & responses

Get detailed campaign report

Request

curl --request GET \
     --url 'https://api.getblueshift.com/api/v1/campaigns/a43b685d-65e3-5303-64d8-d4b4ab075b5f/detail.json?start_time=2023-07-05T07%3A05%3A38.000Z&end_time=2023-08-05T07%3A05%3A38.000Z' \
     --header 'accept: application/json' \
     --header 'authorization: Basic <YOUR_API_KEY>'

Response

{
  "status": "OK"
}
Path Params
string
required
Query Params
date-time
required
date-time
required
Responses
200

OK

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json